Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
ebuild "Not a valid package atom" error
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
ZeldaBoy
n00b
n00b


Joined: 06 Sep 2018
Posts: 5
Location: St. Louis, MO, USA

PostPosted: Thu Sep 06, 2018 1:45 am    Post subject: ebuild "Not a valid package atom" error Reply with quote

Hi guys. I'm using Calculate Gentoo. I'm trying to install the BSNES emulator from an ebuild file I got from here:

https://gpo.zugaina.org/games-emulation/bsnes-plus

Followed all the instructions on installing an ebuild, and getting the error "'bsnes-plus-9999' is not a valid package atom" when I try to emerge it.

I'm thinking there should be a way to just add gpo.zugainia.org to Portage .... I looked around the manual and couldn't figure it out.

Can you please tell me how? Thanks =)

________________________________

I think I figured it out using Layman. I'll re-post if it worked.
________________________________

Still getting "Not a valid package atom, check ebuild(5) for full details".


Last edited by ZeldaBoy on Thu Sep 06, 2018 3:07 am; edited 1 time in total
Back to top
View user's profile Send private message
coolparadox
n00b
n00b


Joined: 28 May 2014
Posts: 7
Location: Brazil

PostPosted: Thu Sep 06, 2018 2:16 am    Post subject: Re: ebuild "Not a valid package atom" error Reply with quote

ZeldaBoy wrote:
I'm thinking there should be a way to just add gpo.zugainia.org to Portage .... I looked around the manual and couldn't figure it out.


Yep; the mentioned ebuild is from an unnoficial portage overlay. The overlay is not gpo.zugainia.org (this is a site that hosts overlays), but in this case the "roslin" overlay (as indicated by your link to bsnes-plus -- look for overlay information in that page).

Check the handbook and choose a method for adding unnofficial ebuilds to your portage tree.
Back to top
View user's profile Send private message
ZeldaBoy
n00b
n00b


Joined: 06 Sep 2018
Posts: 5
Location: St. Louis, MO, USA

PostPosted: Thu Sep 06, 2018 3:08 am    Post subject: Reply with quote

Yup, got the Roslin overlay added...
still getting the "Not a valid package atom." error message.

Any ideas?
Back to top
View user's profile Send private message
Tony0945
Advocate
Advocate


Joined: 25 Jul 2006
Posts: 2644
Location: Illinois, USA

PostPosted: Thu Sep 06, 2018 3:20 am    Post subject: Reply with quote

What's your exact command? Are you putting "=" in front?
Back to top
View user's profile Send private message
ZeldaBoy
n00b
n00b


Joined: 06 Sep 2018
Posts: 5
Location: St. Louis, MO, USA

PostPosted: Thu Sep 06, 2018 3:23 am    Post subject: Reply with quote

I could just reboot into Windows 7 ;) but was really wanting to get it running on gentoo.

Last edited by ZeldaBoy on Thu Sep 06, 2018 3:25 am; edited 1 time in total
Back to top
View user's profile Send private message
ZeldaBoy
n00b
n00b


Joined: 06 Sep 2018
Posts: 5
Location: St. Louis, MO, USA

PostPosted: Thu Sep 06, 2018 3:24 am    Post subject: Reply with quote

emerge bsnes-088-r1
Back to top
View user's profile Send private message
Tony0945
Advocate
Advocate


Joined: 25 Jul 2006
Posts: 2644
Location: Illinois, USA

PostPosted: Thu Sep 06, 2018 3:28 am    Post subject: Reply with quote

Try
emerge =games-emulation/bsnes-088-r1
or just

emerge bsnes

I suggest adding "-a" or "--ask"

emerge -a bsnes
Back to top
View user's profile Send private message
ZeldaBoy
n00b
n00b


Joined: 06 Sep 2018
Posts: 5
Location: St. Louis, MO, USA

PostPosted: Thu Sep 06, 2018 3:42 am    Post subject: Reply with quote

I think I got it; the bsnes-plus package was masked, as well as snesreader-9999 which it required. Used --autounmask-write and etc-update.

Thanks guys, got it working =)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum